<% flash.each do |type, msg| %>
  <div class="alert-<%=type%>">
    <%= msg %>
  </div>
<% end %>

<h1 style="text-align: center"><img class="d-block mx-auto mb-4" src="<%= asset_path( 'tanuki.png' ) %>" alt="" width="72" height="72">GitLab Elasticsearch Analyzer!</h1>


<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">
    <title>GitLab Elasticsearch Analyzer!</title>
  </head>

  <body class="bg-light">

    <div class="container">
      <div class="py-5 text-center">
      </div>

      <div class="row">

        <% if @token_explanation[4][1][:match] == "true" %>
          <div class="col-md-12 themed-grid-col" style="color: #1aaa55; background-color: #D5FFE5; padding: 15px; text-align: center;">
            <span class="glyphicon glyphicon-ok-sign" style="color: #1aaa55;" aria-hidden="true"></span>
            <span>
              SUCCESS: Searching <%= @code_search_analyzed_search_terms %> should work in search bar
            </span>
          </div>
        <% else %>
          <div class="col-md-12 themed-grid-col" style="color: #db3b21; background-color: #fbe5e1; padding: 15px; text-align: center;">
            <span class="glyphicon glyphicon-remove-circle" style="color: #db3b21;" aria-hidden="true"></span>
            <span style="text-align: center, padding: 15px">
              FAILURE: Searching <%= @code_search_analyzed_search_terms %> should *not* work in search bar
            </span>
          </div>
        <% end %>
        <br>
        </br>

        <% if @token_explanation[2][1][:match] == "false" %>
          <div class="col-md-12 themed-grid-col" style="color: #261f1b; background-color: #fbf6e1; padding: 15px; text-align: center;">
            <span class="glyphicon glyphicon-info-sign" style="color: #261f1b;" aria-hidden="true"></span>
            <span>
              In many cases, egeNGram does not find a matching token because `max_gram: 40` is too short for the search term.
            </span>
          </div>
        <% end %>

        <br>
        </br>
        <div class="col-md-12 mb-3" style="border: 1px solid #bfbfbf; border-radius: 4px 0px 0px 4px;">
          <div class="row mb-3">
            <div class="col-md-4">
              <% @token_explanation.each do |te_k, te_v| %>
                <div class="row mb-6">
                  <div class="col-md-2 themed-grid-col" style="padding: 15px;border: 1px solid #bfbfbf; text-align: center;">
                    <% if te_v[:match] == "true" %>
                      <span class="glyphicon glyphicon-ok-sign" style="color: #1aaa55; font-size: 17px" aria-hidden="true"></span>
                    <% else %>
                      <span class="glyphicon glyphicon-remove-circle" style="color: #db3b21; font-size: 17px" aria-hidden="true"></span>
                    <% end %>
                  </div>
                  <div class="col-md-8 themed-grid-col tokens" style="background-color: white;padding: 15px 15px 15px 15px; border: 1px solid #bfbfbf; font: normal 14px/1 Arial Black, Gadget, sans-serif;">
                    <%= link_to "#{te_k}", send("#{te_k}_path"), target: "_blank", style: "font: normal 20px/1 Arial Black, Gadget, sans-serif;" %>
                  </div>
                  <div class="col-md-2 themed-grid-col" style="padding: 15px;border: 1px solid #bfbfbf; text-align: center;">
                    <span class="glyphicon glyphicon-question-sign question <%= te_k %>" style="color: #707070; font-size: 17px;" aria-hidden="true"></span>
                  </div>
                </div>
              <% end %>
            </div >

            <div class="col-md-8 themed-grid-col" style="text-align: left">
              <div class="markdown">
                <%= markdown @info %>
              </div>
              <div id="whitespace" hidden class="markdown">
                <%= markdown @whitespace %>
              </div>

              <div id="code" hidden class="markdown">
                <%= markdown @code %>
              </div>

              <div id="edgeNGram_filter" hidden class="markdown">
                <%= markdown @edgeNGram %>
              </div>

              <div id="lowercase" hidden class="markdown">
                <%= markdown @lowercase %>
              </div>

              <div id="asciifolding" hidden class="markdown">
                <%= markdown @asciifolding %>
              </div>

            </div>
          </div>
        </div>
      </div>

      <div class="row">
        <div class="col-md-12 order-md-1" style="padding: 0px">
          <form class="needs-validation" novalidate>
            <hr class="mb-4">

            <div class="links-box">
              <div class="my-5 pt-5 text-muted text-center text-small">
                <br></br>
                <%= link_to 'View Cluster Status', status_path, target: "_blank" %>
                <br></br>
                <%= link_to 'Download All Token Files & Report',  download_file_path, target: "_blank" %>
                </br></br></br>
              </div>

            </div>
            <hr class="mb-4">
            <%= link_to "SEARCH AGAIN", root_path, class: "btn btn-primary btn-lg btn-block" %>

            <div class="row">
              <div class="col-md-6 mb-3">
              </div>
            </div>
          </form>
        </div>
      </div>

      <footer class="my-5 pt-5 text-muted text-center text-small">
        <p class="mb-1"><img class="d-block mx-auto mb-4" src="<%= asset_path( 'tanuki.png' ) %>" alt="" width="24" height="24">GitLab Elasticsearch Analyzer</p>
        <ul class="list-inline">
        </ul>
      </footer>
    </div>

  </body>
</html>

<script type="text/javascript">

  function show(id) {
    box = document.getElementById(id)
    box.removeAttribute("hidden"); 
  }

  function hide() {
    var box = document.getElementsByClassName("markdown")
    for (let item of box) {
      item.hidden = true;
    }
  }

  var list = document.getElementsByClassName("events");
  
  //TODO: Could be DRY'd?
  whitespace = document.getElementsByClassName("whitespace");
  whitespace[0].addEventListener("click", function(){
   hide()
   show("whitespace")
  });

  code = document.getElementsByClassName("code");
  code[0].addEventListener("click", function(){
   hide() 
   show("code")
  });

  edgeNGram = document.getElementsByClassName("edgeNGram_filter");
  edgeNGram[0].addEventListener("click", function(){
   hide() 
   show("edgeNGram_filter")
  });

  lowercase = document.getElementsByClassName("lowercase");
  lowercase[0].addEventListener("click", function(){
   hide() 
   show("lowercase")
  });

  asciifolding = document.getElementsByClassName("asciifolding");
  asciifolding[0].addEventListener("click", function(){
   hide() 
   show("asciifolding")
  });

</script>
